Subject: [Sigtran] Behaviour in DE-IPSP model when ASPAC does not have any RC.

From: Anand N Ilkal <[email-masked]>
Date: Wed, 24 Mar 2010 08:17:57 +0530

Hello,

In Double Exchange mode under IPSP-IPSP model. what should be the behaviour
in case Remote Peer sends ASPAC without any Routing Context?

Section 4.3.1 in RFC 4666 indicates the Single Exchange behaviour can be
followed -

extracts from RFC 4666 -

"ASPTM messages. When sending ASPTM messages to activate/deactivate
all the traffic independently of routing keys by not specifying any
RC, a single exchange could be sufficient."

Does it mean the local peer does not have to send ASPAC to the peer?
Or is it just talking about multiple AS's in the remote peer? By sending
only one ASPAC with no RC, it is updating the status for all the AS's in the
remote peer which are served by the same ASP?

-- 
with regards,
Anand kumar Ilkal

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 24 Mar 2010 09:41:18 -0600

Anand,

For each full duplex flow, DE requires one RC at one peer and another at the
other peer.  This requires a double-ended exchange to activate using RC.
Where the IPSP has a conifgured AS (see 4.3.4.3 second paragraph), no RC is
required in ASPAC, in which case, the AS at each end is known by both sides
and a single-ended exchage _could_ be possible.  That is all that it is saying.

--brian

Anand N Ilkal wrote:                                                                 (Wed, 24 Mar 2010 08:17:57)
> 
>    Hello,
>    In Double Exchange mode under IPSP-IPSP model. what should be the
>    behaviour in case Remote Peer sends ASPAC without any Routing Context?
>    Section 4.3.1 in RFC 4666 indicates the Single Exchange behaviour can
>    be followed -
>    extracts from RFC 4666 -
>    Or is it just talking about multiple AS's in the remote peer? By
>    sending only one ASPAC with no RC, it is updating the status for all
>    the AS's in the remote peer which are served by the same ASP?
>    --
>    with regards,
>    Anand kumar Ilkal

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Anand N Ilkal <[email-masked]>
Date: Thu, 25 Mar 2010 07:11:33 +0530

Hello Brian,

Thanks for the reply -

i have a scenario - in the static configurations

one node has two AS's served by same ASP. on the peer node i have one AS
with an ASP.

if peer node sends ASPAC without RC. this will make remote AS state ACTIVE
and local AS's state also as ACTIVE in local stack. Though ASPAC_ACK would
have all the RC's of remote AS's which ASP is serving, in this case only
one. and remote stack would then mark its AS as ACTIVE and two AS's as
ACTIVE in its stack.

My question is what if out of two AS's only one AS at local stack is ready
to serve traffic? Remote stack in this case by default assumes, both AS's as
active.

According to 4.3.1 in RFC 4666, if single exchange behaviour is followed and
state machines are updated, we are not in a position to inform peer end
about our true capability to serve traffic.

IPSP
A
IPSP B
AS1
RC=100
AS1 RC=300
       ----------
ASP1
------------- ASP1
AS2  RC=200
       ---------- ASP1

   INIT
-------------------------------------------------------------------------------->

<-------------------------------------------------------------------------------
INIT_ACK
   COOKIE_ECHO
-------------------------------------------------------------------------------->

<-------------------------------------------------------------------------------
COOKIE_ACK

<-------------------------------------------------------------------------------
ASPUP
    ASPUP_ACK
-------------------------------------------------------------------------------->

<-------------------------------------------------------------------------------
ASPAC (without RC)
    ASPAC_ACK
--------------------------------------------------------------------------------->
(IPSP B will mark all the AS's as active in its stack, which are served
remote ASP, IPSP A also marks all remote AS's as active in local stack which
are served by remote ASP)

-- 
with regards,
Anand kumar Ilkal

---

From: "Jaddu, Suresh (NSN - IN/Bangalore)" <[email-masked]>
Date: Thu, 25 Mar 2010 12:15:39 +0800

Brain,

Can we also interpret your bellow statement like this --> In IPSP double exchange mode ASPACT from both sides MUST include the Routing context of its local AS. 

If that is correct then why in the RFC section 5.6.2 its mentioned that Routing Context is optional in ASPAC message.

Thanks
Suresh.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Brian F. G. Bidulock
Sent: Wednesday, March 24, 2010 9:11 PM
To: Anand N Ilkal
Cc: [email-masked]
Subject: Re: [Sigtran] Behaviour in DE-IPSP model when ASPAC does not haveany RC.

Anand,

--brian

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 25 Mar 2010 04:31:31 -0600

Jaddu,,

Jaddu, Suresh (NSN - IN/Bangalore) wrote:    (Thu, 25 Mar 2010 12:15:39)
> 
> Can we also interpret your bellow statement like this --> In IPSP
> double exchange mode ASPACT from both sides MUST include the Routing
> context of its local AS. 

No.  There is no such statement in the RFC.

> If that is correct then why in the RFC section 5.6.2 its mentioned
> that Routing Context is optional in ASPAC message.

It is not really optional.  That is, there are degrees of optional.

4.3.4.3 says...

                            ...  In the case where an ASP wishes to
   process the traffic for more than one Application Server across a
   common SCTP association, the ASP Active message(s) SHOULD contain a
   list of one or more Routing Contexts to indicate for which
   Application Servers the ASP Active message applies.  ...

Thus, including RC in ASPAC is not completely optional.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Anand N Ilkal <[email-masked]>
Date: Thu, 25 Mar 2010 20:23:47 +0530

Hello Brian,

could you please provide your thoughts on the scenario earlier explained?
re-produced just for clarification...

My doubt is if the following scenario is correct in Double Exchange mode-

  IPSP
A
IPSP B
LAS1 RC=100
RAS1 RC=300
       ----------
LASP1
------------ RASP1
LAS2  RC=200
       ---------- LASP1

   INIT
--------------------------------------------------------------->

<---------------------------------------------------------------- INIT_ACK
   COOKIE_ECHO
-------------------------------------------------------------->

<---------------------------------------------------------------- COOKIE_ACK

<----------------------------------------------------------------   ASPUP
    ASPUP_ACK
--------------------------------------------------------------->

<----------------------------------------------------------------   ASPAC
(without RC)
    ASPAC_ACK
---------------------------------------------------------------->

*IPSP A marks LAS1, LAS2, RAS1, LASP1 and RASP1 as ACTIVE in its stack after
receiving ASPAC without any RC, similarly after receiving ASPAC_ACK IPSP B
will mark LAS1, LAS2, RAS1, LASP1 and RASP1 as ACTIVE in its stack*. *And
Hence there is no need for sending ASPAC from IPSP A*.

-- 
with regards,
Anand kumar Ilkal

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 25 Mar 2010 13:33:36 -0600

Anand,

Your example does not make any sense to me: you did know that for
DE mode to work, each AS must be defined at either end of the
association and that a separate RK, RS and AS must be defined
for each direction of traffic?

Please provide the real-world RK's for the AS in your example.

--brian

Anand N Ilkal wrote:                 (Thu, 25 Mar 2010 20:23:47)
>    IPSP A IPSP B
>    LAS1 RC=100 RAS1 RC=300
>    ---------- LASP1 ------------ RASP1
>    LAS2 RC=200
>    ---------- LASP1
>    INIT --------------------------------------------------------------->
>    <----------------------------------------------------------------
>    ASPAC (without RC)
>    ASPAC_ACK
>    IPSP A marks LAS1, LAS2, RAS1, LASP1 and RASP1 as ACTIVE in its stack
>    after receiving ASPAC without any RC, similarly after receiving
>    ASPAC_ACK IPSP B will mark LAS1, LAS2, RAS1, LASP1 and RASP1 as ACTIVE
>    in its stack. And Hence there is no need for sending ASPAC from IPSP
>    A.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Anand N Ilkal <[email-masked]>
Date: Fri, 26 Mar 2010 05:25:57 +0530

hello Brian,

Yes, even i doubt the scenario. In other do you see any scenario under which
only one ASPAC/ASPAC_ACK are enough to start traffic both ends in Double
Exchange mode?

Here RK's are made up of just DPC. And the references are from IPSP A node.

LAS1        is Local AS1 with Routing Context 100 (values are fixed from
static configuration)
LAS2        is Local AS2 with Routing Context 200 (values are fixed from
static configuration)
RAS1        is Remote AS1 with Routing Context 300 (values are fixed from
static configuration)
LASP1      is ASP at IPSP A serving LAS1 and LAS2
RASP1      is ASP at IPSP B serving RAS1.

my question is regarding the following statement in RFC.

Does it says, one ASPAC (without RC) from Peer. and ASPAC_ACK from local is
enough to start traffic from both ends?

Or

It says sender of ASPTM message to activate/deactivate all traffic, can send
one ASPAC without any RC, And it expecte peer end to send its own ASPAC.
- ASPTM messages. When sending ASPTM messages to activate/deactivate

     RC, a single exchange could be sufficient.

-- 
with regards,
Anand kumar Ilkal

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 25 Mar 2010 18:24:41 -0600

Anand,

And what would those DPC values be for each AS?

--brian

Anand N Ilkal wrote:                          (Fri, 26 Mar 2010 05:25:57)
> 
>    hello Brian,
>    Yes, even i doubt the scenario. In other do you see any scenario under
>    which only one ASPAC/ASPAC_ACK are enough to start traffic both ends
>    in Double Exchange mode?
>    LAS1        is Local AS1 with Routing Context 100 (values are fixed
>    from static configuration)
>    LAS2        is Local AS2 with Routing Context 200 (values are fixed
>    from static configuration)
>    RAS1        is Remote AS1 with Routing Context 300 (values are fixed
>    from static configuration)
>    Does it says, one ASPAC (without RC) from Peer. and ASPAC_ACK from
>    local is enough to start traffic from both ends?
>    Or
>    It says sender of ASPTM message to activate/deactivate all traffic,
>    can send one ASPAC without any RC, And it expecte peer end to send its
>    own ASPAC.
>    On 26 March 2010 01:03, Brian F. G. Bidulock <[1][email-masked]>
>    wrote:
> 
>      Anand,

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/